Package org.eclipse.net4j.util.io

## Interface IStreamWrapper

- All Known Implementing Classes:
    `DelegatingStreamWrapper`, `GZIPStreamWrapper`, `StreamWrapperChain`, `XORStreamWrapper`

      public interface IStreamWrapper

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IStreamWrapper.Factory` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finishInputStream​(java.io.InputStream in)` |
    `void` | `finishOutputStream​(java.io.OutputStream out)` |
    `java.io.InputStream` | `wrapInputStream​(java.io.InputStream in)` |
    `java.io.OutputStream` | `wrapOutputStream​(java.io.OutputStream out)` |

- - ### Method Detail

    - #### wrapInputStream

          java.io.InputStream wrapInputStream​(java.io.InputStream in)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### wrapOutputStream

          java.io.OutputStream wrapOutputStream​(java.io.OutputStream out)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishInputStream

          void finishInputStream​(java.io.InputStream in)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### finishOutputStream

          void finishOutputStream​(java.io.OutputStream out)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`